Tips_and_Hacks/MAST_tW_PDF_Updater/FilesForUpdates/upload.sh

34 lines
828 B
Bash

echo "pushing ULB"
(cd "/Users/Henry/Documents/WACS/en_ulb";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }
echo
echo
echo "pushing UDB"
(cd "/Users/Henry/Documents/WACS/en_udb";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }
echo
echo
echo "pushing tW"
(cd "/Users/Henry/Documents/WACS/en_tw";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }
echo
echo
echo "pushing tN"
(cd "/Users/Henry/Documents/WACS/en_tn";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }
echo
echo
echo "pushing Files for Update"
(cd "/Users/Henry/Documents/WACS/Tips_and_Hacks/MAST_tW_PDF_Updater/FilesForUpdates";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }